<?php
$main_news_query = new WP_Query( $main_news_args );
if ( $main_news_query->have_posts() ) {
	$main_banner_title      = get_theme_mod( 'news_steam_main_banner_title', __( 'Main Banner', 'news-steam' ) );
	$main_banner_button     = get_theme_mod( 'news_steam_main_banner_button_label', __( 'View All', 'news-steam' ) );
	$main_banner_button_url = get_theme_mod( 'news_steam_main_banner_button_link', '#' );
	?>
	<div class="banner-main-part">
		<?php if ( ! empty( $main_banner_title || $main_banner_button ) ) { ?>
			<div class="title-heading">
				<h3 class="section-title"><?php echo esc_html( $main_banner_title ); ?></h3>
				<?php if ( ! empty( $main_banner_button ) ) { ?>
					<a href="<?php echo esc_url( $main_banner_button_url ); ?>" class="view-all"><?php echo esc_html( $main_banner_button ); ?></a>
				<?php } ?>
			</div>
		<?php } ?>
		<div class="banner-main-wrap banner-slider slick-button">
			<?php
			$i = 1;
			while ( $main_news_query->have_posts() ) :
				$main_news_query->the_post();
				?>
				<div class="blog-post-container <?php echo esc_attr( $i === 1 ? 'tile-layout' : 'grid-layout' ); ?>">
					<div class="blog-post-inner">
						<?php if ( has_post_thumbnail() ) { ?>
							<div class="blog-post-image">
								<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
							</div>
						<?php } ?>
						<div class="blog-post-detail">
							<?php news_steam_categories_list(); ?>
							<h2 class="entry-title">
								<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							</h2>
							<?php if ( $i === 1 ) { ?>
								<p class="post-excerpt">
									<?php echo wp_kses_post( wp_trim_words( get_the_content(), 25 ) ); ?>
								</p>
							<?php } ?>
							<div class="post-meta">
								<?php
								news_steam_posted_by();
								news_steam_posted_on();
								?>
							</div>
						</div>
					</div>
				</div>
				<?php
				$i++;
			endwhile;
			wp_reset_postdata();
			?>
		</div>
	</div>
	<?php
}
